[FIXED] how to install react-pannellum library to react/ionic

Issue

I need to implement 3d panorama view in my react ionic app but its having an error when I install usingnpm install --save react-pannellum and also npm install --save pannellum
but I’m having error in installing process

npm WARN config global --global, --local are deprecated. Use
--location=global instead.

npm ERR! code ERESOLVE

npm ERR! ERESOLVE unable to resolve dependency tree

npm ERR! While resolving: test-pannelum@0.1.0

npm ERR! Found: react@18.2.0

npm ERR! node_modules/react

npm ERR! react@"^18.2.0" from the root project

npm ERR! Could not resolve dependency:

npm ERR! peer react@"17.0.2" from react-pannellum@0.2.13

npm ERR! node_modules/react-pannellum

npm ERR! react-pannellum@"*" from the root project

npm ERR! Fix the upstream dependency conflict, or retry

npm ERR! this command with –force, or –legacy-peer-deps

npm ERR! to accept an incorrect (and potentially broken) dependency
resolution.

Solution

npm install –save react-pannellum –force

Answered By – Muhammed İlan

Answer Checked By – David Goodson (Easybugfix Volunteer)

Leave a Reply

(*) Required, Your email will not be published